LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File pulseaudio.changes of Package pulseaudio (Project multimedia:libs)

-------------------------------------------------------------------
Thu Mar 20 20:17:16 UTC 2014 - crrodriguez@opensuse.org

-  build: do not depend on tcpd-devel which is unmaintained
- pulseaudio.service: Use the new journal log target.

-------------------------------------------------------------------
Mon Mar  3 16:32:10 UTC 2014 - oholecek@suse.com

- Update to 5.0 final
  + BlueZ 5 support (A2DP only)
  + Reimplementation of the tunnel modules
  + Native log target support for systemd-journal
  + Many bug fixes
- Remove pulseaudio-revert-protocol-native.patch, included upstream
- Lower required alsa-lib version to 1.0.19
  (stated in notes for packagers)

-------------------------------------------------------------------
Wed Feb 26 10:21:23 UTC 2014 - seife+obs@b1-systems.com

- relax the bluez dependency of pulseaudio-module-bluetooth from
  == bluez_version to >= bluez_version so that newer 3rd-party
  bluez builds (my testing builds e.g. :-) can be used

-------------------------------------------------------------------
Sun Feb 23 19:01:59 UTC 2014 - zaitor@opensuse.org

- Update to version 4.99.4:
  + sink-input, source-output: Don't crash if format negotiation
    fails.
  + man:
    - pulse-cli-syntax: Document the "journal" log target.
    - Improve man page and help for cmdline options.
  + dbus: Use correct idxset when getting sources.
  + source: Increase max outputs per source
  + protocol-native: Fix a crash
  + thread-win32: Implement pa_thread_free_nojoin()
  + Updated translations.
- Add pulseaudio-revert-protocol-native.patch: Don't enumerate
  unlinked sinks and sources".

-------------------------------------------------------------------
Thu Jan 30 09:53:30 UTC 2014 - oholecek@suse.cz

- update to version 5.0 RC3 (4.99.3)
- reenable orc

-------------------------------------------------------------------
Thu Jan 23 20:54:47 UTC 2014 - dimstar@opensuse.org

- Update to version 5.0 RC2 (4.99.2):
  + This is finally an officially released tarball on the road to
    pulseaudio 5.0.
- Drop pulseaudio-introspect-Fix-ABI-break.patch: fixed upstream.
- Bump drvver to 4.99, following upstream.
- Pass --disable-orc to configure in order to avoid build failures
  due to orc files missing from the tarball.
- Drop call to autogen.sh: no longer required, as we are building a
  bootstrapped tarball.

-------------------------------------------------------------------
Mon Nov 25 11:20:40 CET 2013 - tiwai@suse.de

- pulseaudio-introspect-Fix-ABI-break.patch:
  Fix the incompatible size of pa_card_profile_info that leads to
  a crash of pavucontrol (bnc#851872)

-------------------------------------------------------------------
Sun Oct 20 20:52:41 UTC 2013 - oholecek@suse.com

- enable bluez4 support for older openSUSE releases

-------------------------------------------------------------------
Fri Oct 18 17:49:24 UTC 2013 - dimstar@opensuse.org

- Update to git master (PA 5.0) (4.0-270-g9490a):
  + alsa: fix crash when loading bare alsa sink (bnc#846532).
  + sndfile-util: fir format for 24bit depth wav files.
  + bluetooth: track discovery modules by index.
  + build system fixes.

-------------------------------------------------------------------
Sat Oct  5 23:37:59 UTC 2013 - dimstar@opensuse.org

- Update to git mastere (PA 5.0 on the way) (265-g35fe):
  + The more extensive bluez5 branch was merged
  + PA allows to build bluez4 and bluez5 modules in parallel.
    Note: this does not mean that bluez4 and bluez5 can co-exist,
    only that PA can decide at runtime which bluez-daemon is
    available.
- Pass --disable-bluez4 to configure: we know that we run bluez5.

-------------------------------------------------------------------
Wed Sep 25 17:48:30 UTC 2013 - dimstar@opensuse.org

- bnc#840845: Update to git master (PA 5.0 on the way) (6f94c).
  + Various code cleanups for inclusion of bluez5 stack.
- No longer pass --enable-bluez5 --disable-bluez4 to configure:
  master only speaks bluez5.

-------------------------------------------------------------------
Wed Sep 11 10:34:33 CEST 2013 - mhrusecky@suse.cz

- support for system wide mode (separate subpackage with service)

-------------------------------------------------------------------
Sat Sep  7 11:30:40 UTC 2013 - dimstar@opensuse.org

- Update to git snapshot (rev: gbf9b3)/ bluez5 branch.
  Note: this is not HEAD of the bluez5 branch, as in local tests,
  this did fail to load the bluetooth modules.

-------------------------------------------------------------------
Wed Aug 21 09:38:49 UTC 2013 - dimstar@opensuse.org

- Fix fdupes call on doxygen/html: use hardlinks instead of
  softlinks (bnc#835683).

-------------------------------------------------------------------
Mon Jun 24 15:10:41 UTC 2013 - oholecek@suse.com

- add SUSEfirewall service definition (bnc#607614)

-------------------------------------------------------------------
Thu Jun 13 13:45:08 UTC 2013 - oholecek@suse.com

- require the same liborc version which was used to build against

-------------------------------------------------------------------
Mon Jun  3 20:55:20 UTC 2013 - oholecek@suse.com

- update to pulseaudio 4.0
* Better handling of low latency requests
* Optimisations while mixing (generic, ARM NEON)
* Default resampler is now speex-float-1 (lower CPU usage)
* Major Bluetooth refactoring for better reliability and easier
maintenance
* Fixes for graceful hand-off to/from JACK
* New module to apply ducking based on stream roles
* Echo canceller infrastructure fixes
* Bash and zsh completion for command line tools
* Solaris and OS X fixes
* Lots of other enhancements, bug fixes, and documenation and i18n
updates- 

-------------------------------------------------------------------
Thu Apr 25 14:52:14 UTC 2013 - dmueller@suse.com

- explicitely disable building NEON for armv5/6 

-------------------------------------------------------------------
Fri Mar  8 10:17:34 CET 2013 - tiwai@suse.de

- Fix a bug setting speaker volume to zero wrongly (bnc#805865)

-------------------------------------------------------------------
Tue Mar  5 06:03:19 UTC 2013 - crrodriguez@opensuse.org

- remove fno-strict-aliasing from CFLAGS
- do not export SUSE_ASNEEDED=0, problem already fixed.

-------------------------------------------------------------------
Sun Jan 20 17:55:54 UTC 2013 - oholecek@suse.com

- bluetooth module now requires Bluez > 4.99 

-------------------------------------------------------------------
Mon Dec 31 18:09:24 UTC 2012 - crrodriguez@opensuse.org

- Update to pulseaudio 3.0
* ALSA Use Case Manager (UCM) support
* Runtime editable LADSPA filter parameters
* Out-of-the-box support for Bluetooth sources
* Configurable device latency offset
* Various ALSA changes
* Lots of infrastructure improvements

-------------------------------------------------------------------
Tue Nov 27 15:23:42 CET 2012 - tiwai@suse.de

- Add the audio setup for qemu/kvm to setup-pulseaudio script
  (bnc#737070)

-------------------------------------------------------------------
Sat Nov 17 02:01:24 UTC 2012 - crrodriguez@opensuse.org

- disable all HAL compat/support since it is long gone. 

-------------------------------------------------------------------
Thu Nov 15 13:23:47 UTC 2012 - tittiatcoke@gmail.com

- Enable systemd integration (following the distribution):
  + Add systemd-devel BuildRequires.
  + Pass --enable-systemd to configure.

-------------------------------------------------------------------
Sun Nov  4 00:58:52 UTC 2012 - crrodriguez@opensuse.org

- Place udev rules in the proper place 

-------------------------------------------------------------------
Tue Oct 16 12:12:54 UTC 2012 - coolo@suse.com

- buildrequire systemd through pkgconfig provides to remove cycle

-------------------------------------------------------------------
Thu Sep  6 14:08:55 CEST 2012 - tiwai@suse.de

- Fix the broken setup by setup-pulseaudio when alsa-plugins-pulse
  doesn't exist (bnc#779039)

-------------------------------------------------------------------
Sat Jul 21 13:58:43 UTC 2012 - zaitor@opensuse.org

- Update to version 2.1:
  + Actually build libwebrtc-util.
  + Various bugfixes.

-------------------------------------------------------------------
Mon Jun 18 15:50:43 CEST 2012 - tiwai@suse.de

- Add kmix setup to setup-pulseaudio script

-------------------------------------------------------------------
Wed Jun  6 14:16:34 CEST 2012 - tiwai@suse.de

- Add the proper exit codes to setup-pulseaudio script
  (for avoiding the errors during installation, too)

-------------------------------------------------------------------
Mon Jun  4 08:37:07 UTC 2012 - idonmez@suse.com

- Remove rpmlintrc, we can't use setBadness for Factory 

-------------------------------------------------------------------
Wed May 30 09:49:36 CEST 2012 - tiwai@suse.de

- Kill leftover PA processes when disabled via setup-pulseaudio
- Set up gstreamer audiosink/src in setup-pulseaudio script, too

-------------------------------------------------------------------
Tue May 29 13:01:46 CEST 2012 - tiwai@suse.de

- Add the setup for SoX to setup-pulseaudio script

-------------------------------------------------------------------
Sat May 19 20:45:28 UTC 2012 - pascal.bleser@opensuse.org

- update to 2.0:
  + Alternate sample rates.
  + Jack detection.
  + Echo cancellation: WebRTC canceller, automatic gain control,
    drift compensation.
  + Virtual Surround module.
  + Xen Paravirtualised audio sink.
  + Fixed HURD support.
  + A2DP decoder quality improvements.
- Add new BuildRequires: libwebrtc_audio_processing-devel,
  BuildRequires:  gcc-c++ and if SuSE-Release >= 12.1
  BuildRequires:  systemd-devel 
- Drop pulseaudio-remove_broken_assert.patch, fixed upstream.
- Futureproof spec for soname changes.

-------------------------------------------------------------------
Fri Feb 17 20:57:09 UTC 2012 - pascal.bleser@opensuse.org

- add pulseaudio-remove_broken_assert.patch to remove a broken assert that
  makes pulseaudio crash when playing audio from Firefox when having to
  resample, especially in combination with the jack sink
- add libcap-devel build dependency for capabilities support
- add fftw3-devel build dependency for builtin equalizer support
- add orc build dependency for better performance

-------------------------------------------------------------------
Thu Jan 12 20:30:01 UTC 2012 - reddwarf@opensuse.org

- Remove libatomic-ops-devel buildrequires since it has been
  dropped from Factory (for x86/x86-64 it wasn't being used
  anyway)

-------------------------------------------------------------------
Tue Dec 27 13:27:22 UTC 2011 - idonmez@suse.com

- Fix wrong size argument in memset call 

-------------------------------------------------------------------
Fri Oct 21 08:17:27 UTC 2011 - wstephenson@suse.com

- Update to version 1.1:
  + Reintroduce a 3 point version string in various API calls,
    fixing PulseAudio with Skype.
  + Fix some linking errors that accidentally linked libpulse to
    libpulsecore which could under some circumstance "downgrade"
    libpulse to GPL (rather than LGPL) which could in turn cause
    problems with non-GPL compatible apps which link to libpulse.
  + Fix a problem where starting PA without X11 would fail due to
    dbus problems.

-------------------------------------------------------------------
Fri Sep 30 11:09:58 UTC 2011 - toddrme2178@gmail.com

- Made descriptions consistent
- Added %suse_update_desktop_file for pulseaudio-kde
  (fix for RPMLINT warning)
- Added check for duplicate files (fix for RPMLINT warning)
- Cleaned up spec file formatting with spec-cleaner

-------------------------------------------------------------------
Tue Sep 27 23:56:50 CEST 2011 - dimstar@opensuse.org

- Update to version 1.0:
  + Fix crash in threaded message queues
  + dbus: fix crash if modules do not load
- Changes from version 0.99.4:
  + Various bug fixes
- Changes from version 0.99.3:
  + Per-Port volume control
  + Fix Introspection annotations
  + Various bug fixes
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details

-------------------------------------------------------------------
Thu Aug 25 20:29:23 UTC 2011 - dimstar@opensuse.org

- Update to version 0.99.2 (2nd pre-release of 1.0):
  + D-Bus based control protocol (beta)
  + Source Output Volumes
  + Passthrough Support
  + Windows support restored
  + Improved sample rate adaptation in module-rtp-receive
  + Volume Change Sync for flat volumes
  + Enhanced Port Volume controls
  + New, future proof format for metadata files
  + New equalizer and acoustic echo cancellation modules
  + If Jack is running, Pulseaudio will connect to it automatically
    by default (previously this required editing a configuration
    file)
- Add pkgconfig(json) BuildRequires.
- Rebase disabled-start.diff and suppress-socket-error-msg.diff.

-------------------------------------------------------------------
Wed Jul 27 13:29:24 CEST 2011 - tiwai@suse.de

- Updated to version 0.9.23:
  Bugfix only update, see changelog at
    http://pulseaudio.org/milestone/0.9.23
- Suppress too verbose error message at socket connection failure
  from a client; this is annoying when alsa-plugins-pulse fallback
  is used

-------------------------------------------------------------------
Fri Jul 22 17:23:07 CEST 2011 - vuntz@opensuse.org

- Automatically configure the system for pulseaudio in %post:
  + Note that this change will forcefully enable PulseAudio on
    systems where it had manually been disabled with
    "setup-pulseaudio --disable" but without adding
    PULSEAUDIO_ENABLE="no" to /etc/sysconfig/sound.
  + Install sysconfig.sound-pulseaudio template, and use fillup in
    %post to merge it in /etc/sysconfig/sound. Add %fillup_prereq
    PreReq for this.
  + This defines the PULSEAUDIO_ENABLE variable that can be set to
    "yes", "no", "custom" (which means that the user has manually
    changed the configuration). Set to "yes" by default.
  + Add --auto option setup-pulseaudio: this automatically
    enables (resp. disables) pulseaudio if PULSEAUDIO_ENABLE is set
    to "yes" (resp. "no"). It does nothing if PULSEAUDIO_ENABLE is
    set to "custom".
  + Call "setup-pulseaudio --auto" in %post.
  + This fixes bnc#707703.
- Remove call to /sbin/SuSEconfig in setup-pulseaudio: it should
  not be needed.
- Use sed instead of perl in setup-pulseaudio: this avoids leaving
  empty lines when removing a line from the configuration.

-------------------------------------------------------------------
Mon Mar 21 14:51:21 CET 2011 - tiwai@suse.de

- Fix handling of /etc/mplayer/mplayer.conf in setup-pulseaudio
  script (bnc#681113)

-------------------------------------------------------------------
Thu Feb 17 17:54:45 CET 2011 - tiwai@suse.de

- Add the setup for festival to setup-pulseaudio script
  (bnc#670992)

-------------------------------------------------------------------
Mon Feb 14 19:49:24 CET 2011 - sbrabec@suse.cz

- Added support for translation-update-upstream.

-------------------------------------------------------------------
Sat Jan 22 01:05:20 UTC 2011 - sreeves@novell.com

- Add bnc666350-fix-incorrect-check-of-return-value.patch
- Fix ownership of /var/lib/gdm for bnc#638052

-------------------------------------------------------------------
Thu Nov 26 10:07:49 CET 2010 - dimstar@opensuse.org

- Update to version 0.9.22:
  + This release contains the list of patches we carried plus a few
    more bugfixes.
- Drop patches [0001 - 0063] that were backported from git.

-------------------------------------------------------------------
Tue Sep 28 19:12:15 UTC 2010 - aj@suse.de

- Recommend instead of require lang-package.

-------------------------------------------------------------------
Thu Aug 12 09:55:04 CEST 2010 - tiwai@suse.de

- minor fixes for setup-pulseaudio (bnc#623837)
  also added /etc/profile.d/pulseaudio.* to file list as ghost

-------------------------------------------------------------------
Tue Jul 20 18:41:58 CEST 2010 - tiwai@suse.de

- set up sh/csh profiles instead of /etc/environment in
  setup-pulseaudio script (bnc#623837)

-------------------------------------------------------------------
Tue Jul 20 18:20:35 CEST 2010 - tiwai@suse.de

- Add speechd setup to setup-pulseaudio (bnc#619859)
- Use grep -q for testing in setup-pulseaudio

-------------------------------------------------------------------
Sat May 15 11:07:54 UTC 2010 - coolo@novell.com

- the gdm is not needed during build, so ignore it and avoid huge
  build cycle

-------------------------------------------------------------------
Wed Apr  7 23:14:04 UTC 2010 - sreeves@novell.com

- Add Requires of pulseaudio-utils to pulseaudio-module-x11 
  Fix bnc#592155

-------------------------------------------------------------------
Tue Apr  6 18:29:42 CEST 2010 - ro@suse.de

- add libpulse-mainloop-glib0 to baselibs.conf (for libphonon4) 

-------------------------------------------------------------------
Mon Mar 29 07:10:31 UTC 2010 - per@osbeck.com

- add support for phonon in setup-pulseaudio

-------------------------------------------------------------------
Mon Mar  8 22:24:00 UTC 2010 - sreeves@novell.com

- Add 0063-core-util-ensure-that-we-chmod-only-the-dir-we-ours.patch
    Fix bnc#584938 - chmod only the dir we ourselves created. 

-------------------------------------------------------------------
Mon Mar  1 21:26:48 UTC 2010 - sreeves@novell.com

- Add another set of patches backported from upstream git
    [0033 - 0062].patch
    Fixes for latency settings, cpu utilization, stuck playback,...

-------------------------------------------------------------------
Tue Jan 19 22:13:22 UTC 2010 - sreeves@novell.com

- Add set of patches backported from upstream git
    [0001 - 0032].patch
- Remove pulseaudio-ticket738-mark-shared-vars-as-volatile.patch
    Included in set of patches above

-------------------------------------------------------------------
Mon Jan 11 05:51:08 UTC 2010 - sreeves@novell.com

- Add pulseaudio-ticket738-mark-shared-vars-as-volatile.patch
- Move start-pulseaudio-kde to pulseaudio-module-x11. Match upstream
- Modify disabled-start.diff
    Add check for pulseaudio_enable in start-pulseaudio-kde

-------------------------------------------------------------------
Fri Dec 18 12:59:52 CET 2009 - jengelh@medozas.de

- Add baselibs.conf as a source

-------------------------------------------------------------------
Thu Dec  3 10:54:49 CET 2009 - dimstar@opensuse.org

- Update to version 0.9.21:
  + Bugfix update - see ChangeLog for full details.

-------------------------------------------------------------------
Tue Nov  3 20:06:20 UTC 2009 - sreeves@novell.com

- Fix mplayer section of setup-pulseaudio. bnc#547384

-------------------------------------------------------------------
Thu Oct 29 09:33:55 UTC 2009 - lnussel@suse.de

- clean up and fix setup-pulseaudio to not corrupt /etc/environment
  (bnc#547384)

-------------------------------------------------------------------
Tue Oct  6 19:10:19 UTC 2009 - sreeves@novell.com

- Update to 0.9.19
    Bugfix update - see Changelog for full details

-------------------------------------------------------------------
Mon Sep 28 17:36:58 UTC 2009 - llunak@novell.com

- make 'setup-pulseaudio --disable' actually really disable PA (bnc#537780)

-------------------------------------------------------------------
Thu Sep 24 16:43:16 UTC 2009 - sreeves@novell.com

- Update to 0.9.18
    Bugfix update - see Changelog for full details
    Translation update.

-------------------------------------------------------------------
Fri Sep 18 22:05:47 UTC 2009 - sreeves@novell.com

- Update to 0.9.17
  Fix tsched usage that was broken in 0.9.16

-------------------------------------------------------------------
Thu Sep 10 19:15:02 CEST 2009 - sreeves@novell.com

- Update to 0.9.16
  Please see Changelog for full details

-------------------------------------------------------------------
Mon Sep  7 20:46:46 CEST 2009 - coolo@novell.com

- do not require a kernel, self compiled kernels will work with
  pulseaudio too. Conflict with old kernels instead

-------------------------------------------------------------------
Wed Sep  2 23:23:47 CEST 2009 - sreeves@novell.com

- Update to version 0.9.16-test7
  Please see Changelog for full details
- Remove uneeded patches (functionality  already in 0.9.16)
    set of recommended backported patches (00*.patch)
    pulseaudio-am111.patch
    pulseaudio-bnc480113-default-sink.patch
- Remove pulseaudio-work-with-old-alsa.patch
- Add package pulseaudio-gdm-hooks

-------------------------------------------------------------------
Mon Aug 24 14:16:24 CEST 2009 - coolo@novell.com

- provide new esound-daemon, but only obsolete old versions (of < 11.1)
  fix for bnc#532838

-------------------------------------------------------------------
Thu Jul 30 17:00:52 CEST 2009 - sbrabec@suse.cz

- pulseaudio-utils have no use without pulseaudio, add Requires.

-------------------------------------------------------------------
Wed Jul 22 01:18:01 CEST 2009 - sreeves@novell.com

- Add a set of recommended backported patches from git master

-------------------------------------------------------------------
Mon Jul 20 09:44:49 CEST 2009 - dominique-obs@leuenberger.net

- Fix remainings to follow %%{_libexecdir} change 

-------------------------------------------------------------------
Fri Jul 17 11:04:21 CEST 2009 - coolo@novell.com

- build with automake 1.11

-------------------------------------------------------------------
Fri Jul 17 10:49:17 CEST 2009 - coolo@novell.com

- disable as-needed to fix build

-------------------------------------------------------------------
Fri Jul 17 10:35:45 CEST 2009 - coolo@novell.com

- udev-extras is dropped again

-------------------------------------------------------------------
Tue May 12 02:04:14 CEST 2009 - sreeves@novell.com

- Packaging changes:
  + add udev-extras to buildRequires
  + Only require alsa 1.0.18 as that version is patched on
    11.1 to have needed functionality of 1.0.19 
    (pulseaudio-work-with-old-alsa.patch)

-------------------------------------------------------------------
Thu Apr 30 15:11:43 CEST 2009 - sbrabec@suse.cz

- Don't call autoreconf in older products.
- Don't try to package PolicyKit files in older products.

-------------------------------------------------------------------
Sat Apr 25 00:18:03 CEST 2009 - sreeves@novell.com

- Update to version 0.9.15:
  Please see Changelog for full details
- Add more checks for "Digital" output for choosing default sink
  (pulseaudio-bnc480113-default-sink.patch)
- Drop pulseaudio-defaults-daemon-conf.patch: use upstream defaults
  for default-fragments* in daemon.conf
- Packaging changes:
  + Move libpulsecore into main rpm as it's an internal only
    library
  + Remove unused old replacment for default.pa
  + Move start-pulseaudio-x11 into pulseaudio-module-x11 package

-------------------------------------------------------------------
Wed Mar 25 01:29:40 CET 2009 - sreeves@suse.de

- Fix for bnc#480113 - default sink 
- Fix for bnc#456802 - logging out of control

-------------------------------------------------------------------
Thu Feb 26 18:18:40 CET 2009 - sreeves@suse.de

- Fix for bnc#464994 - error messages when using pulse
- Fix for bnc#461361 - sound crackles
- Fix for bnc#469886 - HDMI sound is muted

-------------------------------------------------------------------
Tue Feb 10 20:32:58 CET 2009 - vuntz@novell.com

- Update Provides/Obsoletes version for esound-daemon.

-------------------------------------------------------------------
Sat Jan 24 05:18:07 CET 2009 - vuntz@novell.com

- Rename libpulse8 to libpulse9 because of soname change, to fix
  the build.
- Add a lang package.
- Use %suse_update_desktop_file for pulseaudio.desktop.

-------------------------------------------------------------------
Fri Jan 23 11:57:47 CET 2009 - rodrigo@novell.com

- Remove perl-XML-Parser from BuildRequires

-------------------------------------------------------------------
Thu Jan 15 17:03:17 CET 2009 - rodrigo@novell.com

- Update to version 0.9.14:
  + All bug fixes included in the 0.9.13 Fedora package
- Depend on libavahi-devel

-------------------------------------------------------------------
Thu Jan  1 09:00:17 EST 2009 - mboman@suse.de

- Update to version 0.9.13:
  + Too many fixes/update to list. Please see Changelog for full details
- Remove pulseaudio-dot-pulse.patch. Fixed upstream
- Remove pulseaudio-allow-in-sample-names.patch. Fixed upstream
- Remove pulseaudio-asserts.patch. Fixed upstream

-------------------------------------------------------------------
Thu Dec  4 11:51:05 CET 2008 - rodrigo@novell.com

- Renamed libpulsecore4 to libpulsecore7 to match so version
  (bnc#456053)

-------------------------------------------------------------------
Mon Nov 24 11:42:43 CET 2008 - rodrigo@novell.com

- Use /etc/alsa-pulse.conf for ALSA when enabling PulseAudio, as we
  already do in GNOME, instead of touching /etc/alsa.conf
- Don't run the script if user is not root (bnc#445997)

-------------------------------------------------------------------
Wed Nov 19 13:14:25 CET 2008 - rodrigo@novell.com

- Some fixes in setup-pulseaudio script (bnc#445015)

-------------------------------------------------------------------
Wed Nov 19 12:38:46 CET 2008 - rodrigo@novell.com

- Add upstream patch for bnc#443510

-------------------------------------------------------------------
Tue Nov 11 19:32:04 CET 2008 - rodrigo@novell.com

- Add upstream patch for bnc#439054

-------------------------------------------------------------------
Mon Oct 27 14:26:30 CEST 2008 - rodrigo@novell.com

- Fixed some bugs in setup-pulseaudio script (bnc#425475)

-------------------------------------------------------------------
Wed Oct 15 18:26:13 CDT 2008 - maw@novell.com

- Run autoreconf.

-------------------------------------------------------------------
Sat Sep 20 12:14:18 CEST 2008 - rodrigo@suse.de

- Added pulseaudio-dot-pulse.patch from upstream to fix broken
  ~/.pulse directory creation (bnc#427859)
- Added setup-pulseaudio script (bnc#425475)

-------------------------------------------------------------------
Tue Sep 16 17:20:15 CEST 2008 - kukuk@suse.de

- Only include locales, no directories 

-------------------------------------------------------------------
Mon Sep 15 17:07:37 CEST 2008 - dmueller@suse.de

- adjust buildrequires

-------------------------------------------------------------------
Thu Sep 11 16:13:16 CEST 2008 - rodrigo@suse.de

- Added unpackaged files.
- Removed non exiting files.

-------------------------------------------------------------------
Thu Sep 11 13:15:37 CEST 2008 - rodrigo@suse.de

- Added missing dependency on intltool
- Removed unneeded patch
- Update to 0.9.12 version:
  + If a mixer device only supports a limited dB range, extend it in
    software
  + Reworked state/runtime directory selection
  + A few inner loops have been optimized
  + The PA native protocol may now be extended by modules
  + A new module module-stream-restore with a client interface, which
    is intended to replace module-volume-restore (which however will
    stay around for compatibility with old configurations)
  + Allow global glitch-free mode setting in module-hal ("tsched=")
  + Internationalization
  + Rewritten autospawning logic
  + A lot of bugfixes, other improvements

-------------------------------------------------------------------
Sun Aug 17 19:44:30 CEST 2008 - ro@suse.de

- change version number for esound-daemon provides to current
  esound version 

-------------------------------------------------------------------
Mon Aug 11 12:44:56 CEST 2008 - rodrigo@suse.de

- Change Obsoletes and Provides from esound to esound-daemon, which
  is the new package containing the Esound daemon

-------------------------------------------------------------------
Wed Jul 16 12:04:44 CEST 2008 - rodrigo@suse.de

- Update to 0.9.11-RC version:
  + Much better sound latency implementation (glitch-free)
  + New driven main loop
  + Additional stream attributes for libcanberra 
- Added new BuildRequires
- Added new modules to list of installed files

-------------------------------------------------------------------
Fri Jun 27 23:08:10 CEST 2008 - maw@suse.de

- Own some directories so that builds succeed.

-------------------------------------------------------------------
Tue Jun 24 18:50:46 CEST 2008 - rodrigo@suse.de

- Added .desktop file for autostarting under GNOME (bnc#387052) 

-------------------------------------------------------------------
Sat May 31 13:31:25 CEST 2008 - rodrigo@suse.de

- Don't require alsa-plugins-pulse, just Recommend it (bnc#394177) 

-------------------------------------------------------------------
Mon May 26 17:18:06 CEST 2008 - rodrigo@suse.de

- Depend on alsa-plugins-pulse to have ALSA-based applications
  work out of the box with PulseAudio (bnc#394177) 

-------------------------------------------------------------------
Fri May 23 22:47:38 CEST 2008 - jpr@suse.de

- Generate 32bit libraries (bnc #338269)

-------------------------------------------------------------------
Mon May 19 14:04:00 CEST 2008 - rodrigo@suse.de

- Removed pulseaudio-use-correct-socket-for-esd-375701.patch,
  which conflicts with esound patch (bnc#391864) 

-------------------------------------------------------------------
Mon May 12 11:34:05 CEST 2008 - rodrigo@suse.de

- Added pulseaudio-defaults-daemon-conf.patch to set default
  values for better performance (bnc#381686) 

-------------------------------------------------------------------
Tue May  6 12:47:42 CEST 2008 - rodrigo@suse.de

- Added pulseaudio-use-correct-socket-for-esd-375701.patch to
  use correct esound socket (bnc375701) 

-------------------------------------------------------------------
Wed Apr  9 23:35:47 CEST 2008 - maw@suse.de

- Update to version 0.9.10:
  + Better compatibility in padsp with certain programs which like
    to pass NULL strings to libc functions
  + Properly create ~/.pulse before using it
  + Multiarch fixes
  + Update module-tunnel for protocol version 12
  + Update Speex resampler
  + Native ARM atomic operations support
  + Update of the PolicyKit interface
  + Compatibility with libtool 2.2
  + LADSPA interfacing fixes
  + Make per-user esd socket compile time configurable
  + Many other bug fixes and updates
- Drop pulseaudio-0.9.8-fix-sample-upload.patch
- Add pulseaudio-declarations.patch.

-------------------------------------------------------------------
Fri Apr  4 15:34:27 CEST 2008 - rodrigo@suse.de

- Added Obsoletes and Provides to esound-compat package to fix
  dependencies on esound 

-------------------------------------------------------------------
Wed Mar 12 17:24:24 CET 2008 - rodrigo@suse.de

- Review and merge changes from public build service into FACTORY. 

-------------------------------------------------------------------
Sun Mar 09 22:05:17 IST 2008 - cyberorg@cyberorg.info

- Update to 0.9.9
- The only change from 0.9.8 is a fix for CVE-2008-0008
- Need to add pulse user to audio group too

-------------------------------------------------------------------
Fri Jan 25 19:17:56 CET 2008 - rodrigo@suse.de

- Removed empty patch file
- Disabled setuid binaries

-------------------------------------------------------------------
Thu Jan 24 13:28:48 CET 2008 - rodrigo@suse.de

- Don't use our own default configuration, use upstream one. This
  should give us support for all devices detected by HAL.

-------------------------------------------------------------------
Wed Jan 23 17:34:29 CET 2008 - rodrigo@suse.de

- Reviewed changes from cyberorg@cyberorg.info submitted to
  home:rodrigomoya:pulseaudio BS service. 

-------------------------------------------------------------------
Thu Jan 10 00:01:00 IST 2008 - cyberorg@cyberorg.info

- Update to 0.9.8
  * Man pages
  * Make real-time priority and nice level configurable
  * Support acquiring priviliges for high-priority and real-time scheduling
    via PolicyKit
  * Support S32 samples natively
  * Rework ALSA surround sound configuration completely
  * Automatic upmixing/downmixing
  * Add a couple of new directives to libpulse: add flag to allow fixing the
    sample specs to the ones that are native to the sink/source a stream is
    connected to; Change the sample rate, buffering attributes during runtime;
    allow notification on device suspend/resume and moving of streams between
    devices
  * Check process name when dealing with PID files
  * Allow configuratin of RLIMIT_RTPRIO, RLIMIT_NICE
  * Add bluetooth proximity module. Just pair your phone and have PA turn down
    the volume when you leave with your phone and turn it up again if you come back. 
- Enable bluetooth
- Enable Jack
- Add policykit
- Add many man pages
- Enable tcpd
-------------------------------------------------------------------
Wed Jan  9 20:19:57 CET 2008 - rodrigo@suse.de

- Renamed libs packages to follow shared lib policy
- Added better descriptions for subpackages
- Use tar.bz2 instead of tar.gz
- Fixed unversioned self-provides and obsoletes
- Use update-desktop-files for .desktop file
- PreRequire pwdutils for groupadd/del
- Moved libpulsedsp.so to libpusecore4 to avoid rpmlint errors 

-------------------------------------------------------------------
Tue Jan  8 17:48:35 CET 2008 - rodrigo@suse.de

- Don't remove users/groups on %postun 

-------------------------------------------------------------------
Tue Jan  8 15:41:10 CET 2008 - rodrigo@suse.de

- Removed 'rm -rf $RPM_BUILD_ROOT' from %install

-------------------------------------------------------------------
Mon Dec 24 12:13:36 CET 2007 - rodrigo@suse.de

- Use /var/lib/pulseaudio as home dir for pulseaudio user. 

-------------------------------------------------------------------
Tue Dec 11 23:53:55 CET 2007 - rodrigo@suse.de

- Removed special permissions for pulseaudio binary to make it
  buildable until the permissions thing is solved.

-------------------------------------------------------------------
Tue Dec 11 12:43:34 CET 2007 - rodrigo@suse.de

- Merged with package from home:rodrigomoya:pulseaudio BS project. 

-------------------------------------------------------------------
Thu Nov 22 19:21:00 IST 2007 - cyberorg@cyberorg.info
  
- Remove Provides and Obsoletes from esound compat package

-------------------------------------------------------------------
Wed Nov 21 18:13:48 IST 2007 - cyberorg@cyberorg.info
  
- Restructured spec file to build more subpackages, like in Fedora 8.
-------------------------------------------------------------------
Wed Oct 31 14:43:48 CET 2007 - tiwai@suse.de

- updated to version 0.9.7:
  * New threaded lock-free (mostly at least) core
  * New module for automatic discovery of zeroconf audio devices
  * Reworked JACK module for better real-time compatibility
  * PA now suspends access to all audio devices if idle
  * module-combine is now beefedup to automatically pick up local hw devices
  * make use of gcc intrinsics for atomic ops, byteswap, tls, where possible
  * use speex resampler by default
  * use mmap access by default for ALSA devices
  * fold OSS mmap driver into normal OSS driver
  * add LADSPA plugin
  * add plugin for splitting or remapping channel maps
  * Use Linux eventfd() if available, instead of hacks around FIFOs
  * make use of PTHREAD_PRIO_INHERIT for some mutexes, wher it makes sense
  * cleanup dead SHM frags from /dev/shm, where applicable
  * automatically store/restore default audio device
  * add new tool pasuspender tool
  * X11 session management support
  * allow global configuration for fragment settings/sizes
  * PA (if HAL is enabled) now ignores modem sound devices by default
  * Lots of bug fixes and other improvements 

-------------------------------------------------------------------
Thu Oct 11 15:46:54 CEST 2007 - sbrabec@suse.cz

- Use binding specific avahi package.

-------------------------------------------------------------------
Tue Jun 19 17:25:08 CEST 2007 - tiwai@suse.de

- fixed default.pa (typo of rtp.monitor).

-------------------------------------------------------------------
Tue Jun 12 16:30:13 CEST 2007 - tiwai@suse.de

- disable flist-test that doesn't pass with ppc (libatomic-ops
  problem)

-------------------------------------------------------------------
Fri Jun  8 15:08:39 CEST 2007 - tiwai@suse.de

- updated to version 0.9.6:
  * bugfixes, including previous patches
  * use lock-free algorith with libatomic-ops
- add avahi-devel, xorg-x11-devel, glib2-devel and hal-devel to
  buildrequires
- prefer Master volume to PCM volume

-------------------------------------------------------------------
Tue May 29 19:22:56 CEST 2007 - tiwai@suse.de

- fix possible remote DoS (#260326)
- fix wrong endian conversion of float data
- add a workaround for firefox with LD_PRELOAD wrapper
- add the missing support of ioctls for JavaSound
- increase ESD max samplesize

-------------------------------------------------------------------
Tue Apr 24 12:01:42 CEST 2007 - tiwai@suse.de

- disable static library, don't use ltdl install
- fix requires of devel package
- fix post and postun
- build documents via doxygen
- fix suspend/resume with alsa backend
- fix the frame size handling in alsa backend
- fix possible NULL dereference

-------------------------------------------------------------------
Mon Oct 16 00:21:13 CEST 2006 - schwab@suse.de

- Make sure config.rpath is present.

-------------------------------------------------------------------
Wed Sep  6 17:25:51 CEST 2006 - tiwai@suse.de

- updated to version 0.9.5:
    * add module-hal-detect module
    * shared memory transfer method for local clients
    * update module-volume-restore to automatically restore the output device
    * add a new module module-rescue-streams
    * add support for moving streams "hot" between sinks/sources
    * reduce memory consumption and CPU load
    * add new module module-gconf for reading additional configuration
    * fix module-tunnel to work with the latest protocol
    * miscellaneous fixes 

-------------------------------------------------------------------
Thu Aug 17 17:23:15 CEST 2006 - tiwai@suse.de

- move libpulsedsp.so to the main package from devel sub package
  (#199735).

-------------------------------------------------------------------
Mon Jul 31 17:38:08 CEST 2006 - tiwai@suse.de

- updated to version 0.9.4:
    * support for system-wide pulseaudio daemon.
    * add authentication by IP address range ACL (auth-ip-acl=)
    * support to set resource limits on platforms
    * remove loopback= argument for module-*-protocol-tcp
    * remove obsolete GLIB event loop adapter
    * add an API to check whether a source/sink is hardware or virtual
    * remove warning about SIGPIPE in client apps
    * improve latency calculation of NULL sink
    * port Zeroconf code from the HOWL API to the native Avahi API 
    * fix broken time event handling in GLIB
    * Some valgrind/massif fixes
    * Fix pkg-config files for AMD64 

-------------------------------------------------------------------
Wed Jul 12 16:16:06 CEST 2006 - tiwai@suse.de

- renamed from polypaudio to pulseaudio (the project name was
  changed)
- update to version 0.9.2:
  * increase maximum number of concurrent connections
  * fix latency interpolation
  * add support for reverse endian sound cards
  * add support for recording in padsp
  * reenable CPU load limiter
  * other bugfixes